Blame SOURCES/0044-tests-monitor-use-correct-nft-value-in-EXIT-trap.patch

1374ad
From 4ee4ed8d54a8b9f0f0a2b195b3b95b892e4e79a3 Mon Sep 17 00:00:00 2001
1374ad
From: Phil Sutter <psutter@redhat.com>
1374ad
Date: Tue, 18 May 2021 18:06:50 +0200
1374ad
Subject: [PATCH] tests: monitor: use correct $nft value in EXIT trap
1374ad
MIME-Version: 1.0
1374ad
Content-Type: text/plain; charset=UTF-8
1374ad
Content-Transfer-Encoding: 8bit
1374ad
1374ad
Bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=1919203
1374ad
Upstream Status: nftables commit 990cbbf75c40b
1374ad
1374ad
commit 990cbbf75c40b92e6d6dc66721dfbedf33cacf8f
1374ad
Author: Štěpán Němec <snemec@redhat.com>
1374ad
Date:   Wed Jan 27 15:02:03 2021 +0100
1374ad
1374ad
    tests: monitor: use correct $nft value in EXIT trap
1374ad
1374ad
    With double quotes, $nft was being expanded to the default value even
1374ad
    in presence of the -H option.
1374ad
1374ad
    Signed-off-by: Štěpán Němec <snemec@redhat.com>
1374ad
    Helped-by: Tomáš Doležal <todoleza@redhat.com>
1374ad
    Acked-by: Phil Sutter <phil@nwl.cc>
1374ad
    Signed-off-by: Phil Sutter <phil@nwl.cc>
1374ad
---
1374ad
 tests/monitor/run-tests.sh | 2 +-
1374ad
 1 file changed, 1 insertion(+), 1 deletion(-)
1374ad
1374ad
diff --git a/tests/monitor/run-tests.sh b/tests/monitor/run-tests.sh
1374ad
index ffb833a..c1cacb4 100755
1374ad
--- a/tests/monitor/run-tests.sh
1374ad
+++ b/tests/monitor/run-tests.sh
1374ad
@@ -19,7 +19,7 @@ if [ ! -d $testdir ]; then
1374ad
 	echo "Failed to create test directory" >&2
1374ad
 	exit 1
1374ad
 fi
1374ad
-trap "rm -rf $testdir; $nft flush ruleset" EXIT
1374ad
+trap 'rm -rf $testdir; $nft flush ruleset' EXIT
1374ad
 
1374ad
 command_file=$(mktemp -p $testdir)
1374ad
 output_file=$(mktemp -p $testdir)
1374ad
-- 
1374ad
1.8.3.1
1374ad